/////////////////////////////////////////////////////////////////////////////
// morra.cpp: application declaration file

#ifndef __MORRA_H__
#define __MORRA_H__


#include "afxext.h"

// Global Resources
#define MORRA_TIMER	0x01

// Names
#define IBM_NAME	"PC"
#define HUMAN_NAME	"You"

// Game Area Macros (measured in pixels)
#define MENU_HEIGHT		 40
#define AREA_HEIGHT		110
#define AREA_WIDTH		118

// Buttons Macros
#define BUTTON_HEIGHT		30
#define BUTTON_WIDTH		30
#define BUTTON_SPACING		10
#define BOTTOM_MARGIN		16

// Text Macros
#define TEXT_FONT			"Ms Sans Serif"
#define TEXT_HEIGHT			 8
#define LINE_SPACING		16

// Color Macros
#define BLACK			RGB(0x00,0x00,0x00)
#define WHITE			RGB(0xff,0xff,0xff)
#define DARKGREY		RGB(0x80,0x80,0x80)
#define GREY			RGB(0xc0,0xc0,0xc0)
#define BROWN			RGB(0x8f,0x00,0x00)
#define RED				RGB(0xff,0x00,0x00)
#define YELLOW			RGB(0x80,0x80,0x00)
#define LIGHTYELLOW		RGB(0xff,0xff,0x00)
#define GREEN			RGB(0x00,0x80,0x00)
#define LIGHTGREEN		RGB(0x00,0xff,0x00)
#define CYAN			RGB(0x88,0x80,0x80)
#define LIGHTCYAN		RGB(0x00,0xff,0xff)
#define BLUE			RGB(0x00,0x00,0x80)
#define LIGHTBLUE		RGB(0x00,0x00,0xff)
#define MAGENTA			RGB(0x80,0x00,0x80)
#define FUCSIA			RGB(0xff,0x00,0xff)

enum MOVES {PAPER, SCISSORS, STONE};
          
          
/////////////////////////////////////////////////////////////////////////////

// CMainWindow:
class CMainWindow : public CFrameWnd
{
public:
	CMainWindow();
	~CMainWindow();

protected:
	CFont	m_font;
	
	CToolBar	m_upperToolBar;
	CToolBar	m_lowerToolBar;

	CBitmapButton	m_IBMMove;
	CBitmapButton	m_humanMove;
	CBitmapButton	m_response;
	
	int m_IBMScore;
	int m_humanScore;

protected:
	void	UpdateScoring();  
	void	IBMToMove(MOVES humanMove);
		
	//{{AFX_MSG(CMainWindow)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
	afx_msg void OnGameExit();
	afx_msg void OnGameRestart();
	afx_msg void OnHelpAbout();
	afx_msg void OnHelpRules();
	afx_msg void OnPaper();
	afx_msg void OnScissors();
	afx_msg void OnStone();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

// CTheApp:
// See hello.cpp for the code to the InitInstance member function.
//
class CTheApp : public CWinApp
{
public:
	BOOL InitInstance();
};





/////////////////////////////////////////////////////////////////////////////
// CHelp dialog

class CHelp : public CDialog
{
// Construction
public:
	CHelp(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CHelp)
	enum { IDD = IDD_HELP };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	CBitmapButton	m_helpBmp;
	
// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CHelp)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// CResponse dialog

class CResponse : public CDialog
{
// Construction
public:
	CResponse(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CResponse)
	enum { IDD = IDD_RESPONSE };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// Public Interface
	CString	m_response;
	
// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CResponse)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

#endif // __MORRA_H__

